import { AdminScheduleSchedule } from "./admin.schedule.service";
import { CreateScheduleDto, UpdateScheduleDto, UpdateStatusDto } from "./schedule.dto";
export declare class AdminScheduleController {
    private readonly AdminScheduleSchedule;
    constructor(AdminScheduleSchedule: AdminScheduleSchedule);
    create(createScheduleDto: CreateScheduleDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/schedule/schedule.entity").Schedule[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: Promise<import("../../common/schedule/schedule.entity").Schedule>;
    }>;
    update(id: string, updateScheduleDto: UpdateScheduleDto): Promise<{
        status: boolean;
        message: string;
    }>;
    updateUserStatus(id: number, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
